@mixin buttonStyle($bgcolor) {
  position: relative;
  background-color: $bgcolor;
  color: #fff !important;
  border-color: $bgcolor;

  &::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: $bgcolor;
    top: 0;
    left: 0;
    border-radius: 0.5rem;
    z-index: -1;
    transition: all 0.5s ease-in-out;
  }

  &:hover {
    background-color: $bgcolor;
    border-color: transparent;

    &::after {
      content: "";
      transform: scale(1.2, 1.3);
      opacity: 0;
    }
  }

  &:disabled {
    background-color: $bgcolor;
    border-color: $bgcolor;
  }
  &:focus {
    background-color: $bgcolor;
    border-color: $bgcolor;
    box-shadow: none;
  }
}

@mixin boxItem {
  padding: 1.5rem;
  margin-bottom: 1rem;
  border-radius: 1rem;
  background-color: #fff;
  box-shadow: 0 0.1rem 1rem rgba(#ccc, .5);
 
}

@mixin scrollBar {
  &::-webkit-scrollbar {
    width: 12px;
    /* width of the entire scrollbar */
  }

  &::-webkit-scrollbar-thumb {
    background-color: #dd206f;
    /* color of the scroll thumb */
    border-radius: 20px;
    /* roundness of the scroll thumb */
    border: 3px solid #fff;
    /* creates padding around scroll thumb */
  }

  &::-webkit-scrollbar-track {
    background: #fff;
    /* color of the tracking area */
  }
}
